<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_debug.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_debug.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>The Internal Debugging API. </p>

<p><a href="tivx__debug_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#gaa169ff47c2d8cb7dd9ec4a0d32f12510">VX_PRINT</a>(zone, message,...)&nbsp;&nbsp;&nbsp;do { tivx_print((zone), &quot;[%s:%u] &quot;message, __FUNCTION__, __LINE__, ## __VA_ARGS__); } while (0)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The OpenVX Debugging Facility.  <a href="group__group__vx__debug.html#gaa169ff47c2d8cb7dd9ec4a0d32f12510"></a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">tivx_debug_zone_e</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa19e0c8703dcf780cb8ab61c0efacc0a">VX_ZONE_ERROR</a> =  0, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ace77c1c6899d7c6c59d400e4e4994e8a">VX_ZONE_WARNING</a> =  1, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa37812d0dd2a5a69c52fe860d2f7e111">VX_ZONE_API</a> =  2, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a6b3ec6ddfa7a8fd71e010d4347667a5b">VX_ZONE_INFO</a> =  3, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a57e7db962a6cf774c1396511e97f538b">VX_ZONE_PERF</a> =  4, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6afd03bede6f2f825c9aedc5a8c03516eb">VX_ZONE_CONTEXT</a> =  5, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a0bfdefe07821d074d25ccab85afc4cf2">VX_ZONE_OSAL</a> =  6, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a1daf11c73347cad85751096ce4dc1fd6">VX_ZONE_REFERENCE</a> =  7, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a711598b3ae9e933d0dc7c3f9849259f3">VX_ZONE_ARRAY</a> =  8, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a644a57c10d705024e8f9d3561151b122">VX_ZONE_IMAGE</a> =  9, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6af2dca20f9cf9ef98e3c95978be2c4105">VX_ZONE_SCALAR</a> =  10, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ab194f925dfcc3578a1d91bb0c4348161">VX_ZONE_KERNEL</a> =  11, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6aa7f4d50c2660ab4a48b814c1ef2c74ad">VX_ZONE_GRAPH</a> =  12, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6abc5579797158498c7d2f2ab50117b1ca">VX_ZONE_NODE</a> =  13, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6ad8534e53bc822b147668fe60460079b1">VX_ZONE_PARAMETER</a> =  14, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a6a43f2f5b061680be12cd130afb7f51e">VX_ZONE_DELAY</a> =  15, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a40b9cd204da933d489b200b4139dad75">VX_ZONE_TARGET</a> =  16, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a40ed6ed797e8e72f5dd6164f55914f28">VX_ZONE_LOG</a> =  17, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6afe119f8d2f8885ed623e54eaf9c428e9">VX_ZONE_INIT</a> =  18, 
<a class="el" href="group__group__vx__debug.html#gga73f8b7d2888a862fd66f8f479eead7e6a0f7851b66b71b06268e24f3dedb2a23f">VX_ZONE_MAX</a> =  32
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>These are the bit flags for debugging. </p>
 <a href="group__group__vx__debug.html#ga73f8b7d2888a862fd66f8f479eead7e6">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#ga0e8f0fde3cb77b439a7959c81be96eae">tivx_print</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> zone, char *format,...)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal Printing Function.  <a href="group__group__vx__debug.html#ga0e8f0fde3cb77b439a7959c81be96eae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#ga5797ddae3c7bdb48c9ebb0e466f841f4">tivx_set_debug_zone</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> zone)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets a zone bit in the debug mask.  <a href="group__group__vx__debug.html#ga5797ddae3c7bdb48c9ebb0e466f841f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#gabe8239f2d4f812db4c3d345fd9d898da">tivx_clr_debug_zone</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> zone)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears the zone bit in the mask.  <a href="group__group__vx__debug.html#gabe8239f2d4f812db4c3d345fd9d898da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__debug.html#gabb928f9e14e697cdc570f987406f355d">tivx_get_debug_zone</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> zone)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true or false if the zone bit is set or cleared.  <a href="group__group__vx__debug.html#gabb928f9e14e697cdc570f987406f355d"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
